### Hierarchy

- unknown
  - GetAddressBalanceRequest

## Index

### Constructors

- constructor

### Methods

- getAddress
- serializeBinary
- setAddress
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetAddressBalanceRequest(): GetAddressBalanceRequest

- Inherited from jspb.Message.constructor

  #### Returns GetAddressBalanceRequest

## Methods

### getAddress

- getAddress(): string

- - Defined in src/protobuf/grpc_pb.d.ts:3316

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3319

  #### Returns Uint8Array

### setAddress

- setAddress(value: string): GetAddressBalanceRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3317

  #### Parameters

  - ##### value: string

  #### Returns GetAddressBalanceRequest

### toObject

- toObject(includeInstance?: boolean): GetAddressBalanceRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3320

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetAddressBalanceRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetAddressBalanceRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3323

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetAddressBalanceRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetAddressBalanceRequest, reader: BinaryReader): GetAddressBalanceRequest

- - Defined in src/protobuf/grpc_pb.d.ts:3324

  #### Parameters

  - ##### message: GetAddressBalanceRequest

  - ##### reader: BinaryReader

  #### Returns GetAddressBalanceRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetAddressBalanceRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3322

  #### Parameters

  - ##### message: GetAddressBalanceRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetAddressBalanceRequest ): GetAddressBalanceRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3321

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetAddressBalanceRequest

  #### Returns GetAddressBalanceRequest . AsObject

Generated using TypeDoc